<?php

namespace App\Generated\V1_1\Messages\Banner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class PositionListMessage extends Message
{
    use ValueHelper;

    protected $position;
    protected $result;

    /**
     * @return string
     */
    public function getPosition()
    {
        return $this->position;
    }

    public function requestRules()
    {
        return [
            ['position', 'position', 'bail|string', Constants::STRING, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
